#ifndef __filesys__
#define __filesys__
    void dump_fat (void);
    void read_fat (void);
    unsigned char mkdir (char *dirname);
    void md (const char *path);
    void rm (const char *path);
    unsigned char mv (char *oldname, char *newname);


    void ls (void);
    void cd (char *dirname);
        
	typedef struct {
	    int parent;
	    char attribute;
	    unsigned long id;
	    unsigned long sec_start;
	    unsigned long here;				// the sector the header is located in the beginning at.
	    unsigned char dir_length;
	    char *data;           
	    char dirname[50];				// this will result in 4 Entities 'a Sector.
	    unsigned long size;	  
	    char reserved[430 ];  
	} fat_key;
	fat_key apa;

#define FILE fat_key
	FILE *fopen (const char *path, char *mode);
	 void fprintf (FILE *handle, char *str);
	void fclose (FILE *handle);
	void fdelete (FILE *handle);
	 
	void fread_fs(void)
	;
#define zero_sec sec_zero
 //   unsigned char sec_zero[511];		
	struct {
		unsigned long fs_tab_start;	
		unsigned long fs_tab_size;
		unsigned long n_free_sec;			// ???gives away nextfree sector, 
		unsigned char reserved[500];
	} zero_sec;

       	// struct {
//	    int a;
  //  } holabandola;
    fat_key *fs_tab;		
    unsigned long fs_le;					// file system last element
    fat_key FAT[385];
//	apa.id =20;
    long PWD_ID;					// this is the ID number for the directory , file or whatever	
    char PWD[63];
 
#endif
