  /* Macros. */
     
     /* Check if the bit BIT in FLAGS is set. */
     #define CHECK_FLAG(flags,bit)   ((flags) & (1 << (bit)))
     
     /* Some screen stuff. */
     /* The number of columns. */
     #define COLUMNS                 80
     /* The number of lines. */
     #define LINES                   24
     /* The attribute of an character. */
//    #define ATTRIBUTE               7
	unsigned char ATTRIBUTE;	
/* The video memory address. */
     #define VIDEO                   0xB8000
     
     /* Variables. */
     /* Save the X position. */
     int xpos;
     /* Save the Y position. */
     int ypos;
     /* Point to the video memory. */
      volatile unsigned char *video;
	
      unsigned char key[128];     


     /* Forward declarations. */
    void goto_yx(unsigned char y, unsigned char x);
      void clear (void);
     void itoa (char *buf, int base, int d);
      void putchar (int c);
     void printf (const char *format, ...);
     void scanf (const char *format, ...);
     
     void print_vga (const char *format, ...);
    
     void swap_int(unsigned int *int1, unsigned int *int2);
