#include "x86.h" 
ident_drive_struct*
ata_get_info (unsigned char disc_no)
{

     
    static ident_drive_struct hd;
    ata_wait();    		 	/* wait until drive not busy */

     disable();     			/*disables interrupts*/


     ata_drive_ready();    		/*waits until drive ready*/
     ata_select( 0x0 );  		/* chooses device */

     
     outportb(ata_cmd_stat_register, ata_command_identify_drive );

     ata_data_ready();


      insw (ata_data_register, (unsigned short*) &hd , 255);

     
     enable();  		  /*enables interrupt */
    return (ident_drive_struct*) &hd;    
}
