afterdata:

.code32

# Use CPUID to determine if the processor supports long mode.

	mov  	0x80000000, %eax 	# Extended-function 8000000h.
	cpuid 		 		# Is largest extended function
	cmp  	0x80000000, %eax	# any function > 80000000h?
	jbe 	no_long_mode 		# If not, no long mode.
	mov 	0x80000001, %eax	# Extended-function 8000001h.
	cpuid 				# Now EDX = extended-features flags.
	bt 	$29, %edx 		# Test if long mode is supported.
#	jnc 	no_long_mode 		# Exit if not supported.

# Above Code Stolen from AMD documentation and Syntaxchanged from Intel to GAS.
.code16
	mov	$0x2401, %ax		# Set A20 line
	int 	$0x15			
	
	call	clrscr
	mov	$11, %cx
	mov	$0, %ax			#this is the X variable (Column)
	mov	$2, %bx		#and this is the Y (row)
	mov 	$a20_enabled_print, %si

#	call 	print
#hmm:

#jmp hmm


        mov     $0,%ax	# read to where
	mov     %ax, %es
#        mov     $0x500-12, %bx         # es 0ffset # -12 because of that, filelenght of loader by(4 b address) and krnl.bin (8b address) increases 1:st sector by 12 b.
	mov	$0x500, %bx

        mov     $0, %dl         # choose Drive 0!
        mov     $0, %dh         # head number
        mov     $0, %ch         # track number 0
        mov     $2, %cl         # Choose sector 2, First 4 bytes in this sector will give away the size of the startup code.          
        mov     $1, %al        # How many sectors do you want to read ?

        mov     $2, %ah         # Function 2
        int     $0x13           # kick it
	
#	movb	0x500-12, %al	# this is supposed to read loader length from the beginning of the 1:st sector, that is the lenght of the loader.
#	int 	$0x13		# hopefully %al is set nice with the above line.
				# note. this will only work, with floppy size kernel images. 
	
	jmp 	0x500


#     hang2:	
# hang:  jmp hang2


no_long_mode:
#    	movw	$0xf3f3, (0xb800)

#	jmp 	no_long_mode

#	call	clrscr

	mov	$45, %cx	# String length
	mov	$0, %ax		#this is the X variable (Column)
	mov	$0, %bx		#and this is the Y (row)
	mov 	$no_long_mode_print, %si

	call 	print

	hlt	#game over man, gave over

no_long_mode_print: .asciz  "Y o u r   C P U   d o e s n ' t   s u p p o r t   l o n g m o d e ,   ( A t h l o n 6 4 ) . "
a20_enabled_print: .asciz "A 2 0   E n a b l e d "


#	input 
#	    si = offset to string
#	    ax = X value (column)		
#	    bx = Y value (row)
#	returns
#	    nothing	

print:
	mov	%bx, %dx
	shl	$6, %bx 	#this multiplies by 64
	shl	$4, %dx		#And this multiplies with 16
	
	mov	%bx, %di
	add	%dx, %di
	add	%ax, %di	#this adds X value to Videomem offset
	shl	$1, %di	#Even bytes char, uneven attribute, = *2.

	mov	$0xb800, %ax
	mov	%ax, %es
#	mov	$0, %di
#	mov	$0, %si		#makes Source offset Zero


	mov 	$0, %ax 
	mov	%ax, %ds
	
#	mov	%si, %ds
	
	cld
#	mov 	$45, %cx

        rep 	movsw
	
	ret

clrscr:
	cld
	mov	$0xb800, %eax		# set ES to EGA segment
	mov	%eax, %es		

	mov	$0x0, %edi		# start at the beginning
	mov	$960, %ecx		# repeat times
#	mov	$51512331, %eax		
#	mov	$1235, %eax
	mov	$0, %eax

	rep	stosl
	ret 
#.fill 510-.
.space 510-. , 0					#same shit different names.
.word 0x0AA55

